dpkg-deb(1)

NOMBRE
dpkg-deb - Herramienta de manipulación de archivos de paquete («.deb») de Debian

SINOPSIS
dpkg-deb [option...] command

DESCRIPCIÓN
dpkg-deb empaqueta, desempaqueta y ofrece información sobre archivos de Debian.

Use dpkg para instalar y eliminar paquetes de su sistema.

También puede invocar dpkg-deb usando dpkg con cualquiera de las opciones que desee introducir a dpkg-deb. dpkg notará que desea usar dpkg-deb, y lo ejecutará por usted.

ÓRDENES

-b, --build directorio [archivo|directorio]
    Crea un archivo de Debian a partir del árbol del sistema de ficheros ubicado en el directorio. El directorio debe tener un subdirectorio DEBIAN, el cual contiene los ficheros de información tales como el fichero de control. Este directorio no aparecerá en el sistema de ficheros del archivo de paquete binario, sino que los ficheros contenidos se ubicarán en el área de la información de control del paquete binario. dpkg-deb leerá y analizará DEBIAN/control a menos que especifique --nocheck. Comprobará posibles errores de sintaxis y otros problemas, mostrando el nombre del paquete binario que se está creando. dpkg-deb también comprobará los permisos de los scripts del mantenedor así como de los otros ficheros que se encuentren en el directorio de la información de control DEBIAN. Si no se especifica un archivo, dpkg-deb creará el paquete como un fichero directorio.deb. Si el archivo a crear ya existe se sobreescribirá. Si el segundo argumento es un directorio, dpkg-deb escribirá en el fichero paquete_versión_arquitectura.deb, o paquete_versión.deb si el campo Arquitecture no está presente en el fichero de control del paquete. No se debería usar la opción --nocheck cuando se especifica un directorio de destino en lugar de un fichero ya que dpkg-deb necesita leer y analizar el fichero de control del paquete para así determinar qué nombre de archivo usar.

-I, --info archivo [fichero-de-control ..]
    Ofrece información acerca del paquete binario. Si no se especifica el fichero(s)-de-control se mostrará un resumen de los contenidos del paquete así como del fichero de control. Si se especifica algún fichero-de-control, dpkg-deb imprimirá los contenidos en el orden en que se especificaron. Si cualquiera de los componentes no estuviese presente se mostrará un mensaje de error por la salida de error estándar para cada uno de ellos, interrumpiendo el proceso con el estado de salida 2.

-W, --show archivo
    Ofrece información acerca del paquete binario con el formato definido por el argumento --showformat. El formato predefinido muestra el nombre del paquete y la versión en una sola línea, separados por un tabulado.

-f, --field archivo [campo-del-fichero-control ...]
    Extrae información del fichero de control del fichero de un paquete binario. Si no se especifica ningún campo-del-fichero-control, se mostrará todo el fichero de control. Si se especifica algún campo, dpkg-deb mostrará sus contenidos en el orden en el cual aparecen en el fichero de control. Si se especifica más de un campo-del-fichero-control, dpkg-deb precederá cada uno con el nombre del campo (más dos puntos y un espacio). No se informa de ningún error para los campos solicitados pero no encontrados.

-c, --contents archivo
    Lista los contenidos de la parte del archivo de paquete que se instala en el árbol del sistema de ficheros, sin incluir ficheros específicos del sistema de empaquetado de Debian. La lista se genera con el formato producido por el listado informativo de tar.

-x, --extract directorio-archivo
    Extrae el árbol del sistema de ficheros del archivo de paquetes al directorio especificado. ¡Tenga en cuenta que no obtendrá una instalación correcta si extrae un paquete en el directorio raíz! Use dpkg para instalar paquetes. Se creará el directorio (pero no los directorios padre) de ser necesario, modificando sus permisos de acuerdo a los contenidos del paquete.

-X, --vextract directorio-archivo
    Is like --extract (-x) with --verbose (-v) which prints a listing of the files extracted as it goes.

-R, --raw-extract archive directory
    Extracts the filesystem tree from a package archive into a specified directory, and the control information files into a DEBIAN subdirectory of the specified directory. El directorio de destino (pero no los directorios padre) se creará de ser necesario.

--fsys-tarfile archivo
    Extracts the filesystem tree data from a binary package and sends it to standard output in tar format. Together with tar(1) this can be used to extract a particular file from a package archive. The input archive will always be processed sequentially.

-e, --control archivo [directorio]
    Extrae los ficheros de información de control de un archivo de paquete al directorio especificado. Si no se especifica ningún directorio, se usará el subdirectorio DEBIAN del directorio actual. El directorio de destino (pero no los directorios padre) se creará de ser necesario.

-h, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

OPCIONES

--showformat=format
    Esta opción sirve para especificar el formato de la salida que --show producirá. El formato es una cadena que será la salida de cada paquete listado. La cadena puede mostrar cualquier campo de estado usando la forma «${nombre-campo}», y puede generar una lista de campos válidos usando -I con el mismo paquete. Para una explicación de las opciones de formato (incluyendo secuencias de escape y el tabulado de los campos), consulte la explicación de la opción --showformat en dpkg-query (1). El valor predefinido de este campo es «${Package}\t${Version}\n».

-zcompress-level
    Specify which compression level to use on the compressor backend, when building a package (default is 9 for gzip and bzip2, 6 for xz and lzma).

-Zcompress-type
    Especifica el tipo de compresión a usar al construir un paquete. Los valores aceptados son gzip, xz, bzip2, lzma, y none (ninguno). El valor predefinido es gzip.

--new
    Asegura que dpkg-deb construya un archivo con el «nuevo» formato. Éste es el comportamiento por omisión.

--old
    Fuerza que dpkg-deb construya un archivo con el formato antiguo («old»). Este formato antiguo de archivo es más difícil de analizar por las herramientas que no forman parte de Debian, y a día de hoy está obsoleto. Sólo se usa al construir paquetes que versiones de dpkg anteriores a 0.93.76 (septiembre 1995) analizarán, la cual se distribuyó sólo para sistemas i386 en formato «a.out.»

--nocheck
    Impide las comprobaciones habituales de dpkg-deb --build sobre los contenidos del archivo. Puede construir cualquier archivo que desee, no importa lo mal que esté.

-v, --verbose
    Enables verbose output. This currently only affects --extract making it behave like --vextract.

-D, --debug
    Activa los mensajes de depuración. No son muy interesantes.

ENTORNO

TMPDIR
    Si se define, dpkg-deb lo usará como el directorio en el que crear ficheros temporales y directorios.

FALLOS
dpkg-deb -I paquete1.deb paquete2.deb no funciona como debería. No realiza ninguna comprobación de autenticidad de los ficheros .deb; de hecho, ni siquiera una suma de control. Las herramientas de nivel alto como APT son capaces de autenticar paquetes obtenidos desde el repositorio dado, y la mayoría de estos ofrecen a día de hoy un fichero de sumas de control md5 generado por «debian/rules». Las herramientas de bajo nivel no tienen una compatibilidad directa con estos procesos. ¡No use dpkg-deb para instalar software! Debe usar dpkg para asegurar que todos los ficheros se instalan en el sitio correcto, los scripts del paquete se ejecuten y que se registren los contenidos y estado el de éste.

VÉASE TAMBIÉN
deb(5), deb-control(5), dpkg(1), dselect(1).

AUTOR
Copyright © 1995-1996 Ian Jackson

Esto es software libre; vea la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. NO hay ninguna garantía.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.